For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Get supportSee a Demo
HomeAPI ReferenceSDKs
HomeAPI ReferenceSDKs
    • SDKs
    • WebView
  • API Reference
      • POSTCreate Incoming Transactions
      • POSTCreate Bulk Transactions Upload URL
      • POSTCreate Audits
      • GETGet Earned Rewards
        • POSTCreate Upload
        • PUTAdd Upload Part
        • PUTUpdate Upload
Get supportSee a Demo
API ReferenceTransactionsUploads

Add Upload Part

Deprecated
PUT
/v2/issuers/:organizationId/users/:userId/uploads/:uploadId/parts
PUT
/v2/issuers/:organizationId/users/:userId/uploads/:uploadId/parts
$curl -X PUT https://rewards-api.getkard.com/v2/issuers/organization-123/users/user-123/uploads/upload-123/parts \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": [
> {
> "type": "historicalTransaction",
> "attributes": {
> "userId": "6FHt5b6Fnp0qdomMEy5AN6PXcSJIeX69",
> "amount": 1000,
> "status": "APPROVED",
> "currency": "USD",
> "description": "ADVANCEAUTO",
> "cardBIN": "123456",
> "cardLastFour": "4321",
> "direction": "DEBIT",
> "paymentType": "CARD",
> "transactionId": "2467de37-cbdc-416d-a359-75de87bfffb0",
> "subtotal": 800,
> "description2": "ADVANCEAUTO",
> "mcc": "1234",
> "authorizationDate": "2021-07-02T17:47:06Z",
> "merchant": {
> "name": "ADVANCEAUTO",
> "id": "12345678901234567",
> "addrStreet": "125 Main St",
> "addrCity": "Philadelphia",
> "addrState": "PA",
> "addrZipcode": "19147",
> "addrCountry": "United States",
> "latitude": "37.9419429",
> "longitude": "-73.1446869",
> "storeId": "12345"
> },
> "authorizationCode": "123456",
> "retrievalReferenceNumber": "100804333919",
> "systemTraceAuditNumber": "333828",
> "acquirerReferenceNumber": "1234567890123456789012345678"
> },
> "id": "309rjfoincor3icno3rind093cdow3jciwjdwcm"
> }
> ]
>}'
1{
2 "data": [
3 {
4 "type": "historicalTransaction",
5 "attributes": {},
6 "id": "txnId123"
7 }
8 ]
9}
<b>Deprecated.</b> This endpoint is deprecated in favor of the [Create Bulk Transactions Upload URL](/2024-10-01/api/transactions/create-bulk-transactions-upload-url) endpoint. New integrations should use the bulk flow outlined in the [Historical Transaction Uploads](/2024-10-01/api/integration-guides/historical-transaction-uploads) integration guide. Call this endpoint using the upload ID provided in the [Create Upload](/2024-10-01/api/transactions/uploads/create) endpoint to add parts to your upload. Currently, this endpoint supports adding historical transactions. <b>Required scopes:</b> `transaction:write` <b>Note:</b> `Maximum of 500 transactions can be uploaded per request`.
Was this page helpful?
Previous

Update Upload

Next
Built with

Deprecated. This endpoint is deprecated in favor of the Create Bulk Transactions Upload URL endpoint. New integrations should use the bulk flow outlined in the Historical Transaction Uploads integration guide.

Call this endpoint using the upload ID provided in the Create Upload endpoint to add parts to your upload. Currently, this endpoint supports adding historical transactions. Required scopes: transaction:write Note: Maximum of 500 transactions can be uploaded per request.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
Your issuer organization ID, provided by Kard
userIdstringRequired
The ID of the user as defined on the issuers system
uploadIdstringRequired
The upload ID identifying the upload session to add parts

Request

This endpoint expects an object.
datalist of objectsRequired

Response

This endpoint returns an object.
datalist of objects

Errors

207
Upload Part Multi Status
400
Invalid Request
401
Unauthorized Error
500
Internal Server Error